\begin{tikzpicture}[scale=0.7, every node/.style={transform shape}]
    \umlclass[type=abstract]{AbstractGame}{}
		{
    		\code{+ move()} \\
		}
    \umlclass[type=interface,x = 8]{PlayerInterface}{}
    {
        \code{+ get\_move() : Move}
    }	
	
	\umlclass[y = -4]{SSPGame}{
		    \code{p1} : \code{Player} \\
		    \code{p2} : \code{Player} \\
		}
		{
    		\code{+ move()} \\
	    	\code{- get\_result(m1 : Move, m2: Move) : Result} \\
		    \code{- show\_result(res : Result)} \\
		}
    \umlclass[x = 8, y = -4]{SSPPlayer}
    {
        \code{name} : \code{string}\\
        \code{score} : \code{int}
    }
    {
        \code{+ get\_move() : Move}
    }
	
	\umlcompo{SSPGame}{PlayerInterface}
	\umlinherit{SSPGame}{AbstractGame}
	\umlinherit{SSPPlayer}{PlayerInterface}
	
	
	
\end{tikzpicture}